# Excelで集計した特殊荷重をSS7へ登録


## 本プログラムの説明
Excelで集計した特殊荷重を［8.1.特殊荷重］へ登録します。<BR>
特殊荷重の計算用のフォーマットは、会社・設計者ごとに異なっており、標準的なフォーマットは存在しないため、サンプルのエクセルシートを用意しております。<BR>
使用しているフォーマットに合うようにプログラムを変更してご利用ください。<BR>


## 本プログラムの実行方法
1. パラメーター設定<br>
　「main.py」を編集して、必要なパラメータを設定します。
   |変数|説明|
   |:--|:--|
   |CSV_path|CSVファイルを出力すする場所のパス|
   |ss7_path|特殊荷重を加えたい『SS7』ファイルのパス|
   |ss7_addlood_path|特殊荷重を加えた『SS7』ファイルを生成する場所のパス|
   |version|『SS7』のバージョン番号（"1.1.1.19"など）|
   |result_no|対象とする結果名（"結果1"など）|

3. 特殊荷重をExcelで計算します。<br>
   特殊荷重をエクセルで計算し、『SS7』へのデータ登録や荷重名に重複があった場合の扱いを設定します。

4. コマンドラインからプログラムを実行します。<br>
   例) C:に「example」というフォルダ名で配置する場合
   ```cmd
   cd C:\example\src
   python main.py
   ```

5. 結果の確認<br>
`ss7_addlood_path` で指定した場所にExcelで集計した特殊荷重が追加された『SS7』の物件データが作成されます。

## 注意事項
* 本プログラムは『SS7』Ver1.1.1.19で動作確認を行いました。
* `ss7_path`と`ss7_addlood_path`は必ず別名を設定してください。
　同一の場合は、特殊荷重を登録した『SS7』ファイルを生成しません。
* `ss7_addlood_path`で設定したパスのフォルダ内に同一名のデータが存在しないことを確認してください。
　同一名のデータがある場合は、特殊荷重を登録した『SS7』ファイルを生成しません。


## 『Op.Python実行』の設定手順
Ss7Pythonライブラリを使用するための設定手順です。
1. 『SS7』を起動し，[ツール－環境設定－Op.Python実行]画面を表示します。
2. “利用可能なPython言語のバージョン”を選択し，[デスクトップへコピー]ボタンをクリックします。
3. デスクトップにある「Python」フォルダごと，「src」フォルダにコピーします。


## 必要な外部ライブラリ
以下の外部ライブラリをPython実行環境にインストールしてください。
- openpyxl：Excelの操作ができるパッケージです。

```cmd
pip install openpyxl
```

外部ライブラリのライセンスは「LICENSES/ライセンスについて.txt」を確認してください。


## 著作者
Copyright(C)2024 UNION SYSTEM Inc.


## ライセンス
本プログラムは MIT License に基づいています。「LICENSE」を確認してください。

